import java.awt.*;
import java.applet.*;
import simphy.*;

public class IsingApplet extends Applet implements Simulation {

 IsingLattice L;
 

 public void init() {
    String bString[] = {"Initialize Cold", "Initialize Hot", "Start", "Stop", "Metropolis", "Demon", "reset"};
    String lString[] = {"Lattice Size", "Temperature", "MCS", "E", "Eave/N", "M", "Mave/N","Susceptibility", "Specific Heat"};
    ControlFrame cf = new ControlFrame(this,lString,bString);  
    L = new IsingLattice(cf);
  }
  
   public void buttonAction(int k) {
      switch(k) {
        case 0: L.cold(); break;   
        case 1: L.hot(); break; 
        case 2: L.running = true; break; 
        case 3: L.running = false; break; 
        case 4: L.MC = true; break; 
        case 5: L.MC = false; break; 
        case 6: L.reset(); break; 
      }
   }

   
   public void textAction(int k, double x) {
      switch(k) {
        case 0: L.L = (int) x; break;  // Lattice size
        case 1: L.T =  x;L.boltzmann();   // Temperature  
      }
   }
   
   public void menuAction(int k){}
   
   public void dialogAction(int k, double x){}


}